#ifndef HOTCITYBTN_H
#define HOTCITYBTN_H

#include <QObject>
#include <QPushButton>
#include <QPalette>
#include <QPainter>
#include <QPainterPath>
#include "global/viewvar.h"
class HotcityBtn : public QPushButton
{
    Q_OBJECT
public:
    HotcityBtn(QWidget *parent, QString name, QString code);
    //    void onThemeChanged(QString str);
signals:
    void hotCityClick(QString);

public slots:
    void onHotCityClick();

private:
    QString cityCode = "";
    QString cityName = "";
};

#endif // HOTCITYBTN_H
